- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
ClpSimplexProgress Class Reference

For saving extra information to see if looping. More...

`#include <ClpSolve.hpp>`

Collaboration diagram for ClpSimplexProgress:
[legend]

## Public Member Functions
Constructors and destructor and copy
| ClpSimplexProgress ()
| Default constructor. More...
| ClpSimplexProgress (ClpSimplex *model)
| Constructor from model. More...
| ClpSimplexProgress (const ClpSimplexProgress &)
| Copy constructor. More...
ClpSimplexProgress & | operator= (const ClpSimplexProgress &rhs)
| Assignment operator. This copies the data. More...
| ~ClpSimplexProgress ()
| Destructor. More...
void | reset ()
| Resets as much as possible. More...
void | fillFromModel (ClpSimplex *model)
| Fill from model. More...
Check progress
int | looping ()
| Returns -1 if okay, -n+1 (n number of times bad) if bad but action taken, >=0 if give up and use as problem status. More...
void | startCheck ()
| Start check at beginning of whileIterating. More...
int | cycle (int in, int out, int wayIn, int wayOut)
| Returns cycle length in whileIterating. More...
double | lastObjective (int back=1) const
| Returns previous objective (if -1) - current if (0) More...
void | setInfeasibility (double value)
| Set real primal infeasibility and move back. More...
double | lastInfeasibility (int back=1) const
| Returns real primal infeasibility (if -1) - current if (0) More...
int | numberInfeasibilities (int back=1) const
| Returns number of primal infeasibilities (if -1) - current if (0) More...
void | modifyObjective (double value)
| Modify objective e.g. if dual infeasible in dual. More...
int | lastIterationNumber (int back=1) const
| Returns previous iteration number (if -1) - current if (0) More...
void | clearIterationNumbers ()
| clears all iteration numbers (to switch off panic) More...
void | newOddState ()
| Odd state. More...
void | endOddState ()
| Returns -1 if okay, -n+1 (n number of times bad) if bad but action taken, >=0 if give up and use as problem status. More...
void | clearOddState ()
| Returns -1 if okay, -n+1 (n number of times bad) if bad but action taken, >=0 if give up and use as problem status. More...
int | oddState () const
| Returns -1 if okay, -n+1 (n number of times bad) if bad but action taken, >=0 if give up and use as problem status. More...
int | badTimes () const
| number of bad times More...
void | clearBadTimes ()
| Returns -1 if okay, -n+1 (n number of times bad) if bad but action taken, >=0 if give up and use as problem status. More...
int | reallyBadTimes () const
| number of really bad times More...
void | incrementReallyBadTimes ()
| Returns -1 if okay, -n+1 (n number of times bad) if bad but action taken, >=0 if give up and use as problem status. More...
int | timesFlagged () const
| number of times flagged More...
void | clearTimesFlagged ()
| Returns -1 if okay, -n+1 (n number of times bad) if bad but action taken, >=0 if give up and use as problem status. More...
void | incrementTimesFlagged ()
| Returns -1 if okay, -n+1 (n number of times bad) if bad but action taken, >=0 if give up and use as problem status. More...

## Public Attributes
Data
double | objective_ [CLP_PROGRESS]
| Objective values. More...
double | infeasibility_ [CLP_PROGRESS]
| Sum of infeasibilities for algorithm. More...
double | realInfeasibility_ [CLP_PROGRESS]
| Sum of real primal infeasibilities for primal. More...
double | initialWeight_
| Initial weight for weights. More...
int | in_ [CLP_CYCLE]
| For cycle checking. More...
int | out_ [CLP_CYCLE]
| Objective values. More...
char | way_ [CLP_CYCLE]
| Objective values. More...
ClpSimplex * | model_
| Pointer back to model so we can get information. More...
int | numberInfeasibilities_ [CLP_PROGRESS]
| Number of infeasibilities. More...
int | iterationNumber_ [CLP_PROGRESS]
| Iteration number at which occurred. More...
int | numberTimes_
| Number of times checked (so won't stop too early) More...
int | numberBadTimes_
| Number of times it looked like loop. More...
int | numberReallyBadTimes_
| Number really bad times. More...
int | numberTimesFlagged_
| Number of times no iterations as flagged. More...
int | oddState_
| If things are in an odd state. More...

## Detailed Description

For saving extra information to see if looping.

Definition at line 261 of file ClpSolve.hpp.

## Constructor & Destructor Documentation

ClpSimplexProgress::ClpSimplexProgress | ( |  | ) |

Default constructor.

ClpSimplexProgress::ClpSimplexProgress | ( | ClpSimplex * | model | ) |

Constructor from model.

ClpSimplexProgress::ClpSimplexProgress | ( | const ClpSimplexProgress & |  | ) |

Copy constructor.

ClpSimplexProgress::~ClpSimplexProgress | ( |  | ) |

Destructor.

## Member Function Documentation

ClpSimplexProgress& ClpSimplexProgress::operator= | ( | const ClpSimplexProgress & | rhs | ) |

Assignment operator. This copies the data.

void ClpSimplexProgress::reset | ( |  | ) |

Resets as much as possible.

void ClpSimplexProgress::fillFromModel | ( | ClpSimplex * | model | ) |

Fill from model.

int ClpSimplexProgress::looping | ( |  | ) |

Returns -1 if okay, -n+1 (n number of times bad) if bad but action taken, >=0 if give up and use as problem status.

void ClpSimplexProgress::startCheck | ( |  | ) |

Start check at beginning of whileIterating.

int ClpSimplexProgress::cycle | ( | int | in,
|  | int | out,
|  | int | wayIn,
|  | int | wayOut
| ) |  |

Returns cycle length in whileIterating.

double ClpSimplexProgress::lastObjective | ( | int | back = `1` | ) | const

Returns previous objective (if -1) - current if (0)

void ClpSimplexProgress::setInfeasibility | ( | double | value | ) |

Set real primal infeasibility and move back.

double ClpSimplexProgress::lastInfeasibility | ( | int | back = `1` | ) | const

Returns real primal infeasibility (if -1) - current if (0)

int ClpSimplexProgress::numberInfeasibilities | ( | int | back = `1` | ) | const

Returns number of primal infeasibilities (if -1) - current if (0)

void ClpSimplexProgress::modifyObjective | ( | double | value | ) |

Modify objective e.g. if dual infeasible in dual.

int ClpSimplexProgress::lastIterationNumber | ( | int | back = `1` | ) | const

Returns previous iteration number (if -1) - current if (0)

void ClpSimplexProgress::clearIterationNumbers | ( |  | ) |

clears all iteration numbers (to switch off panic)

void ClpSimplexProgress::newOddState | ( |  | ) |
| inline

Odd state.

Definition at line 314 of file ClpSolve.hpp.

void ClpSimplexProgress::endOddState | ( |  | ) |
| inline

Returns -1 if okay, -n+1 (n number of times bad) if bad but action taken, >=0 if give up and use as problem status.

Definition at line 317 of file ClpSolve.hpp.

void ClpSimplexProgress::clearOddState | ( |  | ) |
| inline

Returns -1 if okay, -n+1 (n number of times bad) if bad but action taken, >=0 if give up and use as problem status.

Definition at line 320 of file ClpSolve.hpp.

int ClpSimplexProgress::oddState | ( |  | ) | const
| inline

Returns -1 if okay, -n+1 (n number of times bad) if bad but action taken, >=0 if give up and use as problem status.

Definition at line 323 of file ClpSolve.hpp.

int ClpSimplexProgress::badTimes | ( |  | ) | const
| inline

number of bad times

Definition at line 327 of file ClpSolve.hpp.

void ClpSimplexProgress::clearBadTimes | ( |  | ) |
| inline

Returns -1 if okay, -n+1 (n number of times bad) if bad but action taken, >=0 if give up and use as problem status.

Definition at line 330 of file ClpSolve.hpp.

int ClpSimplexProgress::reallyBadTimes | ( |  | ) | const
| inline

number of really bad times

Definition at line 334 of file ClpSolve.hpp.

void ClpSimplexProgress::incrementReallyBadTimes | ( |  | ) |
| inline

Returns -1 if okay, -n+1 (n number of times bad) if bad but action taken, >=0 if give up and use as problem status.

Definition at line 337 of file ClpSolve.hpp.

int ClpSimplexProgress::timesFlagged | ( |  | ) | const
| inline

number of times flagged

Definition at line 341 of file ClpSolve.hpp.

void ClpSimplexProgress::clearTimesFlagged | ( |  | ) |
| inline

Returns -1 if okay, -n+1 (n number of times bad) if bad but action taken, >=0 if give up and use as problem status.

Definition at line 344 of file ClpSolve.hpp.

void ClpSimplexProgress::incrementTimesFlagged | ( |  | ) |
| inline

Returns -1 if okay, -n+1 (n number of times bad) if bad but action taken, >=0 if give up and use as problem status.

Definition at line 347 of file ClpSolve.hpp.

## Member Data Documentation

double ClpSimplexProgress::objective_[CLP_PROGRESS]

Objective values.

Definition at line 357 of file ClpSolve.hpp.

double ClpSimplexProgress::infeasibility_[CLP_PROGRESS]

Sum of infeasibilities for algorithm.

Definition at line 359 of file ClpSolve.hpp.

double ClpSimplexProgress::realInfeasibility_[CLP_PROGRESS]

Sum of real primal infeasibilities for primal.

Definition at line 361 of file ClpSolve.hpp.

double ClpSimplexProgress::initialWeight_

Initial weight for weights.

Definition at line 375 of file ClpSolve.hpp.

int ClpSimplexProgress::in_[CLP_CYCLE]

For cycle checking.

Definition at line 379 of file ClpSolve.hpp.

int ClpSimplexProgress::out_[CLP_CYCLE]

Objective values.

Definition at line 380 of file ClpSolve.hpp.

char ClpSimplexProgress::way_[CLP_CYCLE]

Objective values.

Definition at line 381 of file ClpSolve.hpp.

ClpSimplex* ClpSimplexProgress::model_

Pointer back to model so we can get information.

Definition at line 383 of file ClpSolve.hpp.

int ClpSimplexProgress::numberInfeasibilities_[CLP_PROGRESS]

Number of infeasibilities.

Definition at line 385 of file ClpSolve.hpp.

int ClpSimplexProgress::iterationNumber_[CLP_PROGRESS]

Iteration number at which occurred.

Definition at line 387 of file ClpSolve.hpp.

int ClpSimplexProgress::numberTimes_

Number of times checked (so won't stop too early)

Definition at line 395 of file ClpSolve.hpp.

int ClpSimplexProgress::numberBadTimes_

Number of times it looked like loop.

Definition at line 397 of file ClpSolve.hpp.

int ClpSimplexProgress::numberReallyBadTimes_

Number really bad times.

Definition at line 399 of file ClpSolve.hpp.

int ClpSimplexProgress::numberTimesFlagged_

Number of times no iterations as flagged.

Definition at line 401 of file ClpSolve.hpp.

int ClpSimplexProgress::oddState_

If things are in an odd state.

Definition at line 403 of file ClpSolve.hpp.

The documentation for this class was generated from the following file:

- /tmp/CHiPPS-Blis-0.94.3/Clp/src/ClpSolve.hpp